| Home | Libraries | People | FAQ | More

#### is_string_like

Determine if `T` can be treated like a string during conversions.

##### Synopsis

Defined in header `<boost/json/conversion.hpp>`

    template<
        class T>
    struct is_string_like

##### Description

Provides the member constant `value` that is equal to `true`, if `T` is convertible to `string_view`. Otherwise, `value` is equal to `false`.

Users can specialize the trait for their own types if they don't want them to be treated like strings. For example:

    namespace boost {
    namespace json {

    template <>
    struct is_string_like<your::string> : std::false_type
    { };

    } // namespace boost
    } // namespace json

##### Types satisfying the trait

`string`, `string_view`, `std::string`, `std::string_view`.

##### See Also

`value_from`, `value_to`

Convenience header `<boost/json.hpp>`